Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2625

  

Description

Detected when used with Date::DAYNAMES which is locked since ruby 1.8.6

Since #9591 with commit, select_f method is adding the include_blank option on top of the array.

If the array is locked, this will raise "Can't modify frozen Array" error

Related issues:

Related to Foreman - Bug #9591: Override puppet configuration on host level d... Closed 03/01/2015

Associated revisions

Revision b8fa2e29 - 08/28/2015 09:04 AM - Ondřej Pražák

Fixes #11437 - do not modify frozen arrays in select_f helper

History

#1 - 08/20/2015 03:28 AM - Dominic Cleal

What does this impact precisely?  Is it a plugin?  I can't see any use of Date::DAYNAMES in Foreman.

#2 - 08/20/2015 03:28 AM - Dominic Cleal

- Related to Bug #9591: Override puppet configuration on host level does not work if specified on host group added

#3 - 08/20/2015 03:55 AM - Shimon Shtein

- Assignee set to Shimon Shtein

#4 - 08/20/2015 03:56 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2625 added

- Pull request deleted ()

#5 - 08/20/2015 03:56 AM - Shlomi Zadok

- Status changed from Ready For Testing to New

- Assignee deleted (Shimon Shtein)

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2625)

It impacts a plugin (though a workaround has been applied), yet it may affect also Foreman core if we'd ever use a frozen array

#6 - 08/20/2015 03:57 AM - Shlomi Zadok

- Status changed from New to Ready For Testing
https://projects.theforeman.org/issues/9591
https://github.com/theforeman/foreman/commit/04cb74c06c05a06d993b3a1001e859519f2b15cf
https://github.com/theforeman/foreman/blob/develop/app/helpers/layout_helper.rb#L122-L126


- Assignee set to Shimon Shtein

- Pull request https://github.com/theforeman/foreman/pull/2625 added

- Pull request deleted ()

#7 - 08/28/2015 09:05 AM - Dominic Cleal

- Category set to Web Interface

- translation missing: en.field_release set to 72

#8 - 08/28/2015 10:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b8fa2e29c597cf0b87e2ceb8d43557793047e1c1.

#9 - 09/09/2015 06:58 AM - Dominic Cleal

- translation missing: en.field_release changed from 72 to 63

n/a to 1.9.
